/**
 * This file has been automatically generated by the [capnpc-ts utility](https://github.com/jdiaz5513/capnp-ts).
 */
import * as capnp from "capnp-ts";
import { Struct as __S } from 'capnp-ts';
export declare const _capnpFileId = "888371cb0d671539";
export declare class ClimateData extends __S {
    static readonly _capnp: {
        displayName: string;
        id: string;
        size: capnp.ObjectSize;
    };
    getTimestamp(): number;
    setTimestamp(value: number): void;
    getLocation(): string;
    setLocation(value: string): void;
    getTemperature(): number;
    setTemperature(value: number): void;
    getHumidity(): number;
    setHumidity(value: number): void;
    getIlluminance(): number;
    setIlluminance(value: number): void;
    toString(): string;
}
